Browse Source

[goal] Fixing pep8 testing for Ubuntu Focal

As per victoria cycle testing runtime and community goal,
we need to migrate upstream CI/CD to Ubuntu Focal(20.04).

Fixing pep8 for Focal, failure can be seen in
- https://review.opendev.org/#/c/744363/1

Depends-On: https://review.opendev.org/#/c/738328/

Story: #2007865
Task: #40211

Change-Id: I0accb29b5d041f12fa840eacda8f2e70cad07f09
Signed-off-by: Prankul Mahajan <prankul.mahajan88@gmail.com>
changes/10/750610/2
Prankul Mahajan 5 months ago
committed by Lingxian Kong
parent
commit
92b9cfa30c
2 changed files with 9 additions and 2 deletions
  1. +4
    -2
      .zuul.yaml
  2. +5
    -0
      test-requirements.txt

+ 4
- 2
.zuul.yaml View File

@ -76,11 +76,13 @@
- release-notes-jobs-python3
check:
jobs:
- qinling-tempest
- qinling-tempest:
voting: false
gate:
queue: qinling
jobs:
- qinling-tempest
- qinling-tempest:
voting: false
experimental:
jobs:
- qinling-tempest-centos7

+ 5
- 0
test-requirements.txt View File

@ -3,6 +3,11 @@
# process, which may cause wedges in the gate later.
hacking<0.13,>=0.12.0 # Apache-2.0
# remove this pyflakes from here once you bump the
# hacking to 3.2.0 or above. hacking 3.2.0 takes
# care of pyflakes version compatibilty.
pyflakes>=2.1.1
coverage!=4.4,>=4.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD


Loading…
Cancel
Save